| Extracted from Pike v7.8 release 866 at 2016-04-05.

[Top]
MasterObject

# Method MasterObject()->cast_to_object()

Method cast_to_object

  `object cast_to_object(string str, string|void current_file)`

Description

  Called by the Pike runtime to cast strings to objects.

Parameter `str`

  String to cast to object.

Parameter `current_file`

  Filename of the file that attempts to perform the cast.

Returns

  Returns the resulting object.

See also

  cast_to_program()

Method cast_to_object

  `object cast_to_object(string oname, string current_file, object|void current_handler)`

Description

  This function is called when the drivers wants to cast a string to an object because of an implict or explicit cast. This function may also receive more arguments in the future.